# Local developpement
{ pkgs, config, lib, ... }: {
  homebrew.enable = true;
  homebrew.brews = [
    # `brew install`
    #"imagemagick"

    # `brew install`, always `brew services restart`, `brew link`, `brew unlink mysql` (if it is installed)
    {
      name = "mariadb";
      restart_service = true;
      link = true;
      conflicts_with = [ "mysql" ];
    }
  ];

  # List packages installed in system profile. To search, run:
  # $ nix search wget
  environment.systemPackages = with pkgs;
  let
    php83 = pkgs.php83.buildEnv { extraConfig = ''
        memory_limit = 2G
        max_upload_size = 2G
    ''; };
  in [
    dart-sass
    cmake
    dart-sass
    docker-compose
    fd
    fzf
    gcc
    go
    nixfmt-rfc-style
    lua-language-server
    nixpkgs-fmt
    nodejs
    nodePackages.eslint
    nodePackages.prettier
    php83
    php83Packages.composer
    php83Packages.php-cs-fixer
    python3
    python311Packages.virtualenv
    ripgrep
    rust-analyzer-unwrapped
    ruff-lsp
    stylelint
    symfony-cli
    tree-sitter
    virt-manager
    yarn
    zig
    # image optimizers
    image_optim
    nodePackages.svgo
    jpegoptim
    optipng
    pngquant
    gifsicle
    libwebp
  ];
}
